org.tmatesoft.svn.core.replicator

## Interface ISVNReplicationHandler

-     public interface ISVNReplicationHandler

  The ISVNReplicationHandler is the interface for the handlers which are registered to a repository replicator to keep track of the replicating process.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkCancelled()` Checks if the replicating operation is cancelled.
    `void` | `revisionReplicated(SVNRepositoryReplicator source, SVNCommitInfo commitInfo)` Notifies this handler that the replicator has just finished replicating the current revision copying operation.
    `void` | `revisionReplicating(SVNRepositoryReplicator source, SVNLogEntry logEntry)` Notifies this handler that the replicator is about to start a next revision copying operation.

- - ### Method Detail

    - #### revisionReplicating

          void revisionReplicating(SVNRepositoryReplicator source,
                                 SVNLogEntry logEntry)
                                   throws SVNException

      Notifies this handler that the replicator is about to start a next revision copying operation. Log information taken from the source repository (from where the copy is performed) for that revision is provided.
      Parameters:
        `source` - the notifier
        `logEntry` - log info about revision changes, author, etc.
      Throws:
        `SVNException`

    - #### revisionReplicated

          void revisionReplicated(SVNRepositoryReplicator source,
                                SVNCommitInfo commitInfo)
                                  throws SVNException

      Notifies this handler that the replicator has just finished replicating the current revision copying operation. Commit information of the new revision committed to the destination repository is provided.
      Parameters:
        `source` - the notifier
        `commitInfo` - commit information
      Throws:
        `SVNException`

    - #### checkCancelled

          void checkCancelled()
                              throws SVNCancelException

      Checks if the replicating operation is cancelled. During each replicating iteration the replicator simply calls this method. A handler implementation should decide if the operation must be interrupted or not, and if for some reason it must be stopped (for example, a user said it must be cancelled), then the implementor should simply throw an SVNCancelException. That will terminate the operation. However it won't roll back all the previously iterations committed to the destination repository.
      Throws:
        `SVNCancelException` - if the replicating operation is cancelled

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.